CVE-1999-0149
CVSS7.5
发布时间 :1997-04-19 00:00:00
修订时间 :2008-09-09 08:33:50
NMCOE    

[原文]The wrap CGI program in IRIX allows remote attackers to view arbitrary directory listings via a .. (dot dot) attack.


[CNNVD]SGI IRIX wrap脚本漏洞远程主机目录遍历漏洞(CNNVD-199704-008)

        Wrap是SGI IRIX操作系统的Outbox环境子系统的一个文件,对于IRIX 6.2以上版本是默认被安装的,6.2以前版本是可选安装的。
        IRIX中的wrap CGI程序中存在漏洞。远程攻击者利用该漏洞通过‘..’攻击查看任意目录列表。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0149
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-0149
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199704-008
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/290
(UNKNOWN)  XF  http-sgi-wrap(290)
http://www.securityfocus.com/bid/373
(UNKNOWN)  BID  373
http://www.osvdb.org/247
(UNKNOWN)  OSVDB  247
ftp://patches.sgi.com/support/free/security/advisories/19970501-02-PX
(UNKNOWN)  SGI  19970501-02-PX

- 漏洞信息

SGI IRIX wrap脚本漏洞远程主机目录遍历漏洞
高危 输入验证
1997-04-19 00:00:00 2012-11-28 00:00:00
远程  
        Wrap是SGI IRIX操作系统的Outbox环境子系统的一个文件,对于IRIX 6.2以上版本是默认被安装的,6.2以前版本是可选安装的。
        IRIX中的wrap CGI程序中存在漏洞。远程攻击者利用该漏洞通过‘..’攻击查看任意目录列表。

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 如果不需要使用wrap,去除此脚本的执行权限,用如下命令
        # chmod 400 /var/www/cgi-bin/wrap
        厂商补丁:
        SGI
        ---
        请和产品厂商联系,升级到最新版本:
        
        http://www.sgi.com/support/security/advisories.html

- 漏洞信息 (19298)

SGI IRIX 6.2 cgi-bin wrap Vulnerability (EDBID:19298)
multiple remote
1997-04-19 Verified
0 J.A. Gutierrez
N/A [点击下载]
source: http://www.securityfocus.com/bid/373/info


A vulnerability exists in the cgi-bin program 'wrap', as included with Irix 6.2 from SGI. A failure to validate input results in a vulnerability that allows any remote attacker to view the contents of any world readable directory remotely. This can be used to gain information that may be helpful in carrying out other attacks. 

http://sgi.victim/cgi-bin/wrap?/../../../../../etc 		

- 漏洞信息

247
IRIX wrap CGI Traversal Arbitrary Directory Listing
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality Workaround, Patch / RCS
Exploit Public

- 漏洞描述

IRIX contains a flaw that allows a remote attacker to view files outside of the web path. The issue is due to the wrap script not properly sanitizing user input, specifically directory traversal style attacks (../../).

- 时间线

1997-04-02 Unknow
1997-04-02 Unknow

- 解决方案

Silicon Graphics, Inc. has released patches to address this issue. Additionally, it is possible to correct the flaw by implementing the following workaround: either change the permissions of the wrap script or remove the outbox subsystem. #/bin/chmod 400 /var/www/cgi-bin/wrap or # /usr/sbin/versions -v remove outbox

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站